---
title: FileSystemEntry.name
slug: Web/API/FileSystemEntry/name
tags:
  - API
  - File System API
  - File and Directory Entries API
  - FileSystemEntry
  - Non-standard
  - Offline
  - Property
  - Reference
  - name
---
<p>{{APIRef("File System API")}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The read-only <strong><code>name</code></strong> property of the {{domxref("FileSystemEntry")}} interface returns a {{domxref("USVString")}} specifying the entry's name; this is the entry within its parent directory (the last component of the path as indicated by the {{domxref("FileSystemEntry.fullPath", "fullPath")}} property).</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>name</em> = <em>FileSystemEntry</em>.name;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("USVString")}} indicating the entry's name.</p>

<h2 id="Example">Example</h2>

<p>This example shows a function called <code>isFileWithExtension()</code> which returns true if the specified {{domxref("FileSystemEntry")}} is both a file and the file's name ends with a given extension.</p>

<pre class="brush: js">function isFileWithExtension(entry, extension) {
  return (entry.isFile &amp;&amp; entry.name.endsWith("." + extension));
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('File System API', '#dom-filesystementry-name', 'name') }}</td>
   <td>{{ Spec2('File System API') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FileSystemEntry.name")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API">File and Directory Entries API</a></li>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API/Introduction">Introduction to the File System API</a></li>
 <li>{{domxref("FileSystemEntry")}}</li>
 <li>{{domxref("FileSystemEntry.fullPath")}}</li>
</ul>
